/* Global start */

html,
body {
	height: 100%;
}

body {
	height: 100%;
	font-size: 0.8rem;
}

body.pane_iframe {
	overflow-x: hidden;
	overflow-y: auto;
}

div.site_content {
	width: 100%;
	height: 100%;
	max-width: none;
	background-image: linear-gradient(to bottom, #C9C9C9, white);
}

iframe.external_site {
	width: 100%;
	height: 100%;
	border: 0px;
}

.pointer {
	cursor: pointer !important;
}

#wind_panels {
	height: calc(100vh - 3rem);
	overflow-y: auto;
	margin: 0;
	padding: 1rem;
}

.main-panel {
	height: 100%;
}

.pane_title {
	text-transform: uppercase;
	color: #616161;
	font-size: 1.5rem;
	font-weight: 500;
	padding-bottom: 1rem;
}

div.pane_title_btns {
	position: absolute;
	top: 0;
	right: 0;
}

div.pane_title_btns button.btn {
	margin-top: 0.2rem;
	margin-right: 1rem;
}


.pane_content {
	width: 100%;
	padding: 0.4rem;
}

.pane_row {
	width: 100%;
	height: 36px;
	line-height: 36px;
	border-bottom: 1px solid #bbbbbb;
}

div.whole_page_mg {
	width: 100%;
	padding-left: 15%;
	padding-right: 15%;
	margin-top: 4rem;
	font-size: 2rem;
	text-align: center;
	text-transform: uppercase;
}

#bo_dlog_text {
	font-size: 1rem;
}

#bo_dlog_text p {
	display: block;
	margin-bottom: 0.3rem;
}

/* no arrow next to hamburger*/
.dropdown-toggle.hamburger::after {
    content: none;
}

/* close */

/* bootstrap overrides start */

.modal-content {
	padding-left: 1px;
}

.modal-footer .help {
	width: 100%;
	font-style: italic;
}

/* close */

/* sb-admin overrides start */

.navbar {
	padding: .1rem 0.3rem;
	height: 3rem;
}


.bg-dark {
	background-color: #4D6893 !important;
}

.sidebar .dropdown-menu {
	background-color: #BCCCE5;
}

#sidebarToggle {
	background-color: transparent;
}

.sidebar .nav-item .nav-link {
	text-align: center;
	padding-left: 0.15rem;
	padding-right: 0.15rem;
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
	width: 40px;
	color: #FDFFFE;
}

@media (min-width:768px) {
	.sidebar .nav-item .nav-link {
		padding-left: 0.75rem;
		padding-right: 0.75rem;
		padding-bottom: 0rem;
		padding-top: 1rem;
		width: 120px;
	}
}


.sidebar div.dropdown-menu {
	position: relative !important;
}

.sidebar .nav-item .dropdown-menu {
	left: 25px !important;
	top: 10px !important;
}

@media (min-width:768px) {
	.sidebar .nav-item .dropdown-menu {
		left: 85px !important;
		top: 10px !important;
	}
}

.sidebar .nav-item .nav-link:active,
.sidebar .nav-item .nav-link:focus,
.sidebar .nav-item .nav-link:hover {
	color: #FDFFFE;
	background-color: #4D6991;
}

.sidebar .nav-item .nav-link i {
	font-size: 2rem;
}

.sidebar .nav-item .nav-link img.svg_icon {
	width: 1.5rem;
	filter: invert(100%) sepia(1%) saturate(228%) hue-rotate(4deg) brightness(115%) contrast(100%);
}

.sidebar .nav-item .nav-link img.png_icon {
	width: 1.5rem;
}


@media (min-width:768px) {
	.sidebar .nav-item .nav-link img.svg_icon {
		width: 3rem;
	}
	.sidebar .nav-item .nav-link img.png_icon {
		width: 5rem;
	}
}

.sidebar .nav-item .nav-link span {
	font-size: 1rem;
	text-transform: uppercase;
	display: none;
	border-bottom: 2px solid #FDFFFE;
	padding-bottom: 1rem;
}

@media (min-width:768px) {
	.sidebar .nav-item .nav-link span {
		display: block;
	}
}

.sidebar .nav-item .dropdown-menu {
	width: fit-content;
}

.sidebar .dropdown-item,
.navbar .dropdown-item {
	text-transform: uppercase;
}

.sidebar .dropdown-item:focus:not(.disabled),
.sidebar .dropdown-item:hover:not(.disabled),
.navbar .dropdown-item:focus:not(.disabled),
.navbar .dropdown-item:hover:not(.disabled) {
	color: #16181b;
	background-color: #7CABDF;
}

/* remove caret */
.navbar-nav .nav-item.dropdown .dropdown-toggle::after {
	content: none;
}

.navbar-nav .nav-item.dropdown .dropdown-toggle::after {
	display: none;
}

.sidebar {
	background-color: #58595B;
	width: 40px !important;
}

@media (min-width:768px) {
	.sidebar {
		width: 120px !important;
	}
}

/* close */

/* button  start */

.btn {
	text-transform: uppercase;
	color: white;
	background-color: #58595B;
}

.btn-primary {
	text-transform: uppercase;
	color: white;
	background-color: #4276C9;
	border-color: #6E95D5;
}

.btn:hover {
	background-color: #4D6893;
}

/* close */

/* breadcrumb  start */

.breadcrumb_title i {
	font-size: 3rem;
	color: #444444;
	margin-right: 1rem;
}

.breadcrumb_title span.breadcrumb_icon {
	width: 3rem;
	margin-left: 4px;
}

.breadcrumb_title img.svg_icon {
	filter: invert(23%) sepia(0%) saturate(495%) hue-rotate(245deg) brightness(95%) contrast(84%);
}

.breadcrumb {
	font-size: 1.25rem;
	text-transform: uppercase;
	background-color: transparent;
	color: #444444;
	border-bottom: 2px solid #58595B;
	border-radius: 0;
	padding: 0;
	padding: 0;
	padding-top: 1rem;
	margin-right: 1rem;
	margin-left: 1rem;
	margin-bottom: 1rem;
}

/* close */

/* dataTable  start */

table.table.dataTable {
	border-spacing: 1rem 0px;
}

.table .thead-light th {
	text-transform: uppercase;
	color: #59595B;
	background-color: transparent;
	border-bottom: 2px solid #59595B;
	margin-right: 1rem;
}

.table td,
.table th {
	padding: .5rem;
	border-top: 0;
	background-color: transparent;
}

/* close */

/* BackOffice Lists  start */

table.pane_list {
	width: 100%;
	font-weight: normal;
}

table.pane_list th {
	padding: 1px 3px 3px 3px;
	color: black;
}

table.pane_list tr.title > td {
	padding: 4px 3px 4px 3px;
	border-top: 1px solid #bbbbbb;
}

table.pane_list tr.info {}

table.basic {
	font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
	border-collapse: collapse;
}

table.basic td,
table.basic th {
	border: 1px solid #ddd;
	padding: 1px;
}

/* close */

/* Properties  start */

table.pane_props {
	width: 100%;
	margin-bottom: 15px;
}

table.pane_props td {
	padding: 4px 3px 0px 3px;
}

table.pane_props td.label {
	text-align: right;
}

table.pane_props td.value {
	text-align: left;
	font-weight: bold;
}

/* close */

/* Sidebar  start */

div.sidebar {
	min-width: 260px;
	max-width: 260px;
	height: 100%;
}

a.nav-link.selected {
	font-weight: bold;
}

a.nav-link.selected > i {
	color: black;
}

/* close */

/* MD Forms start https://codepen.io/uzielweb/pen/vyXqpx?editors=1111 */

.form-row {
	margin: 0;
}

.form-row .col {
	padding: 0;
	margin-left: 5px;
	margin-right: 5px;
}

.form-row div:first-child {
	margin-left: 0;
}

.form-row div:last-child {
	margin-right: 0;
}

.form-radio,
.form-group {
	position: relative;
	margin-top: 0;
	margin-bottom: 1.75rem;
}

.form-group.floating-label {
	background-color: azure;
	border: 2px solid #58595B;
	border-radius: 0.5rem;
	padding: 2px;
}

.form-group.floating-label:focus-within:not(.readonly) {
	border: 2px solid #337ab7;
}

.form-group.floating-label .place_holder {
	position: relative;
	height: 1rem;
}

.control-label {
	width: auto;
	background-color: azure;
}

.form-inline > .form-group,
.form-inline > .btn {
	display: inline-block;
	margin-bottom: 0;
}

.form-help {
	margin-top: 0.125rem;
	margin-left: 0.125rem;
	color: #b3b3b3;
	font-size: 0.8rem;
}

.checkbox .form-help,
.form-radio .form-help,
.form-group .form-help {
	position: absolute;
	width: 100%;
}

.checkbox .form-help {
	position: relative;
	margin-bottom: 1rem;
}

.form-radio .form-help {
	padding-top: 0.25rem;
	margin-top: -1rem;
}

.form-group.floating-label input {
	height: 1.9rem;
}

.form-group.floating-label textarea {
	resize: none;
}

.form-group.floating-label select {
	width: 100%;
	font-size: 1rem;
	height: 1.6rem;
	padding: 0.125rem 0.125rem 0.0725rem;
	background: none;
	line-height: 1.6;
	box-shadow: none;
	border: none;
}

.form-group.floating-label .control-label {
	position: absolute;
	top: 1.25rem;
	xxxpointer-events: none;
	padding-left: 0.125rem;
	z-index: 1;
	color: #b3b3b3;
	font-size: 1rem;
	font-weight: normal;
	-webkit-transition: all 0.28s ease;
	transition: all 0.28s ease;
}

.form-group.floating-label input,
.form-group.floating-label textarea {
	display: block;
	background: none;
	padding: 0.125rem 0.125rem 0.0725rem;
	font-size: 1rem;
	line-height: 1.9;
	width: 100%;
	xxxcolor: transparent;
	-webkit-transition: all 0.28s ease;
	transition: all 0.28s ease;
	box-shadow: none;
	border-width: 0;
	border-color: transparent;
}

/* Removes the auttofil gray background-color */
.form-group.floating-label input:-webkit-autofill,
.form-group.floating-label input:-webkit-autofill:hover,
.form-group.floating-label input:-webkit-autofill:focus,
.form-group.floating-label input:-webkit-autofill:active,
.form-group.floating-label select:-webkit-autofill,
.form-group.floating-label select:-webkit-autofill:hover,
.form-group.floating-label select:-webkit-autofill:focus,
.form-group.floating-label select:-webkit-autofill:active,
.form-group.floating-label textarea:-webkit-autofill,
.form-group.floating-label textarea:-webkit-autofill:hover,
.form-group.floating-label textarea:-webkit-autofill:focus,
.form-group.floating-label textarea:-webkit-autofill:active {
	transition: background-color 5000s ease-in-out 0s;
}

.form-group.floating-label select ~ .control-label,
.form-group.floating-label input:focus ~ .control-label,
.form-group.floating-label input.has-value ~ .control-label,
.form-group.floating-label textarea:focus ~ .control-label,
.form-group.floating-label textarea.has-value ~ .control-label {
	font-size: 0.8rem;
	color: gray;
	top: 2px;
	left: 2px;
}

.form-group.floating-label input:invalid ~ .control-label,
.form-group.floating-label textarea:invalid ~ .control-label {
	color: #FF7777;
	outline: none;
}

.form-group.floating-label input:invalid,
.form-group.floating-label textarea:invalid {
	color: #FF4444;
	outline: none;
}

.form-group.floating-label input:valid,
.form-group.floating-label textarea:valid {
	color: black;
}

.form-group.floating-label select:focus,
.form-group.floating-label input:focus,
.form-group.floating-label textarea:focus {
	outline: none;
}

.form-group.floating-label:not(.readonly) select:focus ~ .control-label,
.form-group.floating-label:not(.readonly) input:focus ~ .control-label,
.form-group.floating-label:not(.readonly) textarea:focus ~ .control-label {
	color: #337ab7;
}

.checkbox label,
.form-radio label {
	position: relative;
	cursor: pointer;
	padding-left: 2rem;
	text-align: left;
	color: #333;
	display: block;
}

.checkbox input,
.form-radio input {
	width: auto;
	opacity: 0.00000001;
	position: absolute;
	left: 0;
}

.radio {
	margin-bottom: 1rem;
}

.radio .helper {
	position: absolute;
	top: -0.25rem;
	left: -0.25rem;
	cursor: pointer;
	display: block;
	font-size: 1rem;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	color: #999;
}

.radio .helper::before,
.radio .helper::after {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	margin: 0.25rem;
	width: 1rem;
	height: 1rem;
	-webkit-transition: -webkit-transform 0.28s ease;
	transition: -webkit-transform 0.28s ease;
	transition: transform 0.28s ease;
	transition: transform 0.28s ease, -webkit-transform 0.28s ease;
	border-radius: 50%;
	border: 0.125rem solid currentColor;
}

.radio .helper::after {
	-webkit-transform: scale(0);
	transform: scale(0);
	background-color: #337ab7;
	border-color: #337ab7;
}

.radio label:hover .helper {
	color: #337ab7;
}

.radio input:checked ~ .helper::after {
	-webkit-transform: scale(0.5);
	transform: scale(0.5);
}

.radio input:checked ~ .helper::before {
	color: #337ab7;
}

.checkbox {
	margin-bottom: 1rem;
}

.checkbox .helper {
	color: #999;
	position: absolute;
	top: 0;
	left: 0;
	width: 1rem;
	height: 1rem;
	z-index: 0;
	border: 0.125rem solid currentColor;
	border-radius: 0.0725rem;
	-webkit-transition: border-color 0.28s ease;
	transition: border-color 0.28s ease;
}

.checkbox .helper::before,
.checkbox .helper::after {
	position: absolute;
	height: 0;
	width: 0.2rem;
	background-color: #337ab7;
	display: block;
	-webkit-transform-origin: left top;
	transform-origin: left top;
	border-radius: 0.25rem;
	content: '';
	-webkit-transition: opacity 0.28s ease, height 0s linear 0.28s;
	transition: opacity 0.28s ease, height 0s linear 0.28s;
	opacity: 0;
}

.checkbox .helper::before {
	top: 0.65rem;
	left: 0.38rem;
	-webkit-transform: rotate(-135deg);
	transform: rotate(-135deg);
	box-shadow: 0 0 0 0.0725rem #fff;
}

.checkbox .helper::after {
	top: 0.3rem;
	left: 0;
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.checkbox label:hover .helper {
	color: #337ab7;
}

.checkbox input:checked ~ .helper {
	color: #337ab7;
}

.checkbox input:checked ~ .helper::after,
.checkbox input:checked ~ .helper::before {
	opacity: 1;
	-webkit-transition: height 0.28s ease;
	transition: height 0.28s ease;
}

.checkbox input:checked ~ .helper::after {
	height: 0.5rem;
}

.checkbox input:checked ~ .helper::before {
	height: 1.2rem;
	-webkit-transition-delay: 0.28s;
	transition-delay: 0.28s;
}

.radio + .radio,
.checkbox + .checkbox {
	margin-top: 1rem;
}

.has-error .legend.legend,
.has-error.form-group .control-label.control-label {
	color: #d9534f;
}

.has-error.form-group .form-help,
.has-error.form-group .helper,
.has-error.checkbox .form-help,
.has-error.checkbox .helper,
.has-error.radio .form-help,
.has-error.radio .helper,
.has-error.form-radio .form-help,
.has-error.form-radio .helper {
	color: #d9534f;
}

/* close */

/* BoForm  start */

div.bo_form_group_title {
	font-size: 15px;
	font-weight: normal;
	overflow: hidden;
	position: relative;
	margin: 17px 0 12px;
}

div.bo_form_group_title::after {
	background: #e3e3e3;
	content: '';
	height: 1px;
	margin-left: 13px;
	overflow: hidden;
	position: absolute;
	top: 51%;
	width: 100%;
}

div.bo_form_group {
	margin-left: 1.3rem;
}

/* close */

/* Wait Screen  start */

#bo_wait_screen {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	z-index: 9999;
}

#bo_wait_screen .loader {
	position: absolute;
	left: 50%;
	top: 30%;
	border: 16px solid #f3f3f3;
	border-radius: 50%;
	border-top: 16px solid #555555;
	width: 120px;
	height: 120px;
	-webkit-animation: spin 2s linear infinite;
	/* Safari */
	animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

/* close */

/* wizzard start */

.modal-body {
	background-image: linear-gradient(to bottom, #C9C9C9, white);
}

/* close */

/* maintenance start */

div.maintenance img {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

div.maintenance_text {
	display: block;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	width: 70%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
	font-size: 2.5rem;
	font-weight: 400;
	line-height: 1.2;
}

/* close */

/* bootstrap fixes */

.dropdown-item[disabled=disabled] {
    color: #ced8e0 !important;
}

/* close */

.dropzone{
    border: 2px dashed var(--primary);
}

.row_preview_doc img {
    min-height: 200px;
    max-height: 200px;
    object-fit: contain;
    cursor: pointer;
}



/* Upload */
span.upload_label {
	font-size : 1.2rem;
}

div.upload {
	margin-right: 8px;
	min-height: 150px;
	min-width: 150px;
	border: 3px dashed #BBBBBB;
	text-align: center;
	display: flex;
}

div.upload img {
	margin: auto;
	display: block;
  }